From a00c86e53745e443c131ffb9e19bddae1a4e0765 Mon Sep 17 00:00:00 2001
From: Ilya Shpigor <shpigor@etersoft.ru>
Date: Thu, 21 May 2009 12:55:58 +0400
Subject: [PATCH] user32: Do not change the caret position for edit control if it does not have input focus (eterbug #2606)

---
 dlls/user32/edit.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/dlls/user32/edit.c b/dlls/user32/edit.c
index 141a6eb..550092c 100644
--- a/dlls/user32/edit.c
+++ b/dlls/user32/edit.c
@@ -2271,7 +2271,8 @@ static void EDIT_AdjustFormatRect(EDITSTATE *es)
 	if ((es->style & ES_MULTILINE) && !(es->style & ES_AUTOHSCROLL))
 		EDIT_BuildLineDefs_ML(es, 0, get_text_length(es), 0, NULL);
 	
-	EDIT_SetCaretPos(es, es->selection_end, es->flags & EF_AFTER_WRAP);
+	if (GetFocus() == es->hwndSelf)
+		EDIT_SetCaretPos(es, es->selection_end, es->flags & EF_AFTER_WRAP);
 }
 
 
-- 
1.6.2.5

